Contacts
Update a contact
Only the fields you send change. A `phone_e164` another contact already has is `422 validation_failed`.
PATCH
Only the fields you send change. A phone_e164 another contact already
has is 422 validation_failed.
httpheader
AuthorizationBearer <token>id*integerapplication/json- body
phone_e164?stringMatch
^\+[1-9]\d{6,14}$email?stringFormat
emailLength
length <= 255first_name?stringLength
length <= 100last_name?stringLength
length <= 100country?stringLength
2 <= length <= 2language?stringLength
length <= 10opt_in_whatsapp?booleancustom_fields?array<string>|Items
items <= 50source?stringLength
length <= 100Contact
application/json- response
data*curl -X PATCH 'https://app.orqo.site/api/v1/contacts/0' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "id": 0, "uuid": "string", "phone_e164": "string", "email": "string", "first_name": "string", "last_name": "string", "full_name": "string", "country": "string", "language": "string", "opt_in_whatsapp": true, "custom_fields": { "property1": "string", "property2": "string" }, "tags": [ "string" ], "avatar_url": "string", "source": "string", "last_seen_at": "string", "created_at": "string", "updated_at": "string" }}